> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get users from configured Connect service

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/connect/{connectId}/all/users

Returns all users from the configured Connect service.

To use this method, you must be an account administrator
and Connect must be enabled on your account.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/connect/connectconfigurations/getconnectallusers

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `connectId` (string, required) — The ID of the custom Connect configuration being accessed.

### Query parameters

- `count` (string, optional) — The maximum number of results to return.
- `domain_users_only` (string, optional)
- `email_substring` (string, optional) — Filters returned user records by full email address or a substring of email address.
- `start_position` (string, optional) — The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.
- `status` (string, optional) — The status of the item.
- `user_name_substring` (string, optional) — Filters results based on a full or partial user name. **Note:** When you enter a partial user name, you do not use a wildcard character.

## Response

### 200

Successful response.

- `endPosition` (string, optional) — The last index position in the result set.
- `nextUri` (string, optional) — The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search.
- `previousUri` (string, optional) — The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search.
- `resultSetSize` (string, optional) — The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the `totalSetSize`.
- `startPosition` (string, optional) — The starting index position of the current result set.
- `totalSetSize` (string, optional) — The total number of items in the result set. This value is always greater than or equal to the value of `resultSetSize`.
- `users` (list of connectUserInfo, optional) — User management information.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### connectUserInfo

- `email` (string, optional)
- `isIncluded` (string, optional)
- `userId` (string, optional) — The ID of the user to access. **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
- `userName` (string, optional) — The name of the user.

## Examples

**Response**

```json
{
  "endPosition": "sample string 1",
  "nextUri": "sample string 2",
  "previousUri": "sample string 3",
  "resultSetSize": "sample string 4",
  "startPosition": "sample string 5",
  "totalSetSize": "sample string 6",
  "users": [
    {
      "email": "sample string 1",
      "isIncluded": "sample string 2",
      "userId": "sample string 3",
      "userName": "sample string 4"
    }
  ]
}
```